### Method

# FwupdPlugin Device probe_invalidate

#### Declaration [src]

    void
    fu_device_probe_invalidate (
      FuDevice* self
    )

#### Description [src]

Normally when calling `fu_device_probe()` multiple times it is only done once. Calling this method causes the next requests to `fu_device_probe()` and `fu_device_setup()` actually probe the hardware.

This should be done in case the backing device has changed, for instance if a USB device has been replugged.

Available since: | 1.1.2